Unit LoadPE;

interface

Function LoadLibrary(Name: String): DWord;
Function FreeLibrary(Handle: DWord): DWord;
Function GetProcAddress(Handle: DWord; Name: String): DWord;

Function GetCountLoadModule: DWord;
Function GetNameModule(num: dword): String;
Function GetAddrModule(num: dword): DWord;
Function GetSlotModule(num: dword): DWord; 

Procedure ExecutePE(name: String);

implementation

Function LoadLibrary(Name: String): DWord; External;
Function FreeLibrary(Handle: DWord): DWord; External;
Function GetProcAddress(Handle: DWord; Name: String): DWord; External;

Function GetCountLoadModule: DWord; External;
Function GetNameModule(num: dword): String; External;
Function GetAddrModule(num: dword): DWord; External;
Function GetSlotModule(num: dword): DWord; External;

Procedure ExecutePE(name: String); External;

End.
