	Use32
	Org	0x0
	db	'MENUET01'
	dd	1
	dd	START
	dd	I_END
	dd	mem
	dd	stacktop
;        dd      Params,0
	dd	Params, MyPath

include 'kglobals.inc'
include 'debug.inc'
include 'proc32.inc'
include 'pe.inc'

MAX_DLL 		equ  50
MAX_FILENAME_LENGTH	equ  16
SIZE_FN=(MAX_FILENAME_LENGTH+4+4)


START:
;   
	   mov		eax,68
	   mov		ebx,11
	   int		0x40
;     
	mov	eax,68
	mov	ebx,12
	mov	ecx,SIZE_FN*MAX_DLL   ; 16 - Max string name,4 - handle, 4 - count
	int	0x40
	mov	[DLLNAME],eax
	mov	edx,SIZE_FN*MAX_DLL
	xor	bl,bl
.Loop5: test	edx,edx
	jz	.Next5
	mov	[eax],bl
	inc	eax
	dec	edx
	jmp	.Loop5
.Next5:

;    
	stdcall LStrLen,MyPath
	add	eax,MyPath
.ert2:	dec	eax
	cmp	byte [eax],'/'
	jz	.ert1
	jmp	.ert2
.ert1:	xor	bl,'/'
	mov	[eax],bl
	inc	eax
	xor	bl,bl
	mov	[eax],bl

;   
	call	InitializePath
       jmp     main


; Procedures

InitializePath:
; Copy me Path in buffer and added path source
	stdcall LStrCpy,MyPath,BuffPath1
	stdcall LStrCat,aRazd,BuffPath1
	stdcall LStrCat,Path,BuffPath1
	ret

LStrLen:
lstrlen:	mov	edx, [esp+4]
		sub	eax, eax
lstrlen00:	cmp	byte [edx+eax], 0
		jz	lstrlen01
		inc	eax
		jmp	lstrlen00
lstrlen01:	ret	4

proc LStrCpy stdcall, Source: dword, Dest: dword
		mov	edx, [Dest]
		mov	ecx, [Source]
lstrcpy00:	mov	al, [ecx]
		inc	ecx
		mov	[edx], al
		inc	edx
		test	al, al
		jnz	lstrcpy00
		mov	eax, [Dest]
		ret
endp

proc LStrCat stdcall, Source: dword, Dest: dword
		stdcall  LStrLen,[Dest]
		add	eax, [Dest]
		stdcall LStrCpy,[Source],eax
		mov	eax, [Dest]
		ret
endp

proc LStrCmpi stdcall, Source: dword, Dest: dword
		mov	edx, [Dest]
		mov	ecx, [Source]
		sub	eax, eax
lstrcmpi00:	mov	al, [edx]
		cmp	al, 'A'
		jc	lstrcmpi001
		cmp	al, 'Z'
		ja	lstrcmpi001
		or	al, 20h
lstrcmpi001:	mov	ah, [ecx]
		cmp	ah, 'A'
		jc	lstrcmpi002
		cmp	ah, 'Z'
		ja	lstrcmpi002
		or	ah, 20h
lstrcmpi002:	sub	al, ah
		sbb	ah, ah
		cmp	byte [edx], 0
		jz	lstrcmpi01
		cmp	byte [ecx], 0
		jz	lstrcmpi01
		inc	edx
		inc	ecx
		test	eax, eax
		jz	lstrcmpi00
lstrcmpi01:	movsx	eax, ax
		ret
endp

align 4
proc get_fileinfo stdcall, file_name:dword, info:dword
	   locals
	     cmd     dd ?
	     offset  dd ?
		     dd ?
	     count   dd ?
	     buff    dd ?
		     db ?
	     name    dd ?
	   endl
	   pushad
	   xor eax, eax
	   mov [lSeek],eax
	   mov ebx, [file_name]
	   mov ecx, [info]

	   mov [cmd], 5
	   mov [offset], eax
	   mov [offset+4], eax
	   mov [count], eax
	   mov [buff], ecx
	   mov byte [buff+4], al
	   mov [name], ebx
	   mov [CurName],ebx

	   mov eax, 70
	   lea ebx, [cmd]
	   int 0x40
	   mov [esp+28],eax
	   popad
	   ret
endp

align 4
proc read_file stdcall,file_name:dword, buffer:dword, bytes:dword
	   locals
	     cmd     dd ?
	     offset  dd ?
		     dd ?
	     count   dd ?
	     buff    dd ?
		     db ?
	     name    dd ?
	   endl
	   pushad
	   xor eax, eax
	   mov ebx, [file_name]
	   mov ecx, [lSeek]
	   mov edx, [bytes]
	   mov esi, [buffer]

	   mov [cmd], eax
	   mov [offset], ecx
	   mov [offset+4], eax
	   mov [count], edx
	   mov [buff], esi
	   mov byte [buff+4], al
	   mov [name], ebx
	   push ecx
	   add ecx,edx
	   mov [lSeek],ecx
	   pop ecx
	   mov eax, 70
	   lea ebx, [cmd]
	   int 0x40
	   mov [esp+28],ebx
	   popad
	   ret
endp

proc set_seek stdcall,num:dword
     mov      eax,[num]
     mov      [lSeek],eax
     ret
endp



; data and macros
work_area:     dd	0
BuffPath:      rb	1024
BuffPath1:     rb	1024
Buff_Params	rb         1024

Path:		db	'/RD/1/;/HD0/1/KOLIBRI/SYSTEM32/;/RD/1/DRIVERS/',0
aRazd		db	';',0

FI:
Attr		dd	?
Flags		dd	?
Cr_time 	dd	?
Cr_date 	dd	?
Acc_time	dd	?
Acc_date	dd	?
Mod_time	dd	?
Mod_date	dd	?
File_size	dd	?

align 4
lSeek		dd	?
DLLNAME 	dd	?
CurName 	dd	?

ptr equ
macro PUBLIC something
{
}

macro END
{
}

macro _CODE
{
}

macro EXTRN arg
{
}

macro HEAP arg
{
IncludeIGlobals
I_END:
IncludeUGlobals
ParamsOFF db '1 '
Params  db 0
	rb	 1023
MyPath	db 0
	rb	 1023
	align	2048
	rb	  2048
stacktop:
mem:
}

macro _DATA
{
; Data Section
}

macro _BSS
{
; BSS Section
}

macro .386P
{
}
